pro Convert_To_CT,ColorTableIndex,dataarray

; this code assumes that the arraye given, dataarray, is a n x m x 3 
; array with specific red, blue and green layers.  r g and b layers have
; been set to the same value (ie: grayscale).  We want to re do the colors
; based on a user selected IDL colortable and pass the resultant array
; back to the calling routine

loadct,ColorTableIndex

red=bytarr(256)
blu=bytarr(256)
grn=bytarr(256)

;get the EOS-A rgb color assignments
tvlct,r,g,b,/Get

;Rescale EOS-A so that there is less red
for i=0,255 do begin
index = fix(180.0*(i/255.0)+3.0)
red(i)=r(index)
grn(i)=g(index)
blu(i)=b(index)
endfor

;assign 0 to black
red(0)=000
grn(0)=000
blu(0)=000
red(1)=000
grn(1)=000
blu(1)=000

tvlct,red,grn,blu

tvlct,redindex,greenindex,blueindex,/get

dummy=size(dataarray)
newdataarray1=bytarr(dummy[1],dummy[2])
newdataarray2=bytarr(dummy[1],dummy[2])
newdataarray3=bytarr(dummy[1],dummy[2])

for color=0,255 do begin
  found_red = where(dataarray[*,*,0] eq color,count)
  found_green= where(dataarray[*,*,1] eq color,count1)
  found_blue = where(dataarray[*,*,2] eq color,count2)
  if count gt 0 then begin
      newdataarray1[found_red]=redindex[color]
      newdataarray2[found_green]=greenindex[color]
      newdataarray3[found_blue]=blueindex[color]
  endif
endfor

dataarray[*,*,0]=newdataarray1
dataarray[*,*,1]=newdataarray2
dataarray[*,*,2]=newdataarray3

end
