pro GetInputDefaults,LocalDir,IngestDir,ArchiveDir

;This code needs IDL 5.3. really.
openr,lun,'.currentinputdefaults',error=errortest,/get_lun

case 1 of
    errortest ne 0: begin

;      uh oh, something's not right.
;      maybe the file is just missing?
 
       FileCreateFail=0
 
       if errortest eq -222 then begin

          print,!ERROR_STATE.MSG
          print,'Generating new default input file, .currentinputdefaults'

          LocalDir='./'
          IngestDir='/ingest/MOD021KM/2000/'
          ArchiveDir='/archive/MOD021KM/2000/'
          SetInputDefaults,LocalDir,IngestDir,ArchiveDir,FileCreateFail

       endif

;      backup error checking

       if errortest ne -222 or FileCreateFail eq 1  then begin

;         we in big trouble, all kinds of things are going haywire

          print,!ERROR_STATE.MSG
          print,'Error number is ',errortest
          print,'You have some unexpected problem. The message above
          print,'might help. Attempting to continue anyway.'
          print,'Default file read aborted'

          LocalDir='./'
          IngestDir='/ingest/MOD021KM/2000/'
          ArchiveDir='/archive/MOD021KM/2000/'

       endif

    end
    errortest eq 0: begin
       LocalDir=''
       IngestDir=''
       ArchiveDir=''

       readf,lun,LocalDir
       readf,lun,IngestDir
       readf,lun,ArchiveDir
       close,lun

    end
endcase
end
