pro finish_map,notationimage,jpeg=jpeg,ps=ps,image=image
; IDL routine
;
;  finish_map.pro v 0.5
;
;    Finishes off the map stuff done elsewhere. Simply draws map grids and continents
;    to the current map projection
;
; v 0.5 notes:
;    Probably doesn't need to be a seperate routine.  it is because I have
;    plans in the back of my head for this section.  Things like on the fly
;    generation of notes on the image contents and so on.
;
;
; Keywords:
;
; Input:
;
; Output:
;
; Required routines:
;    none
;
; Developer
;  v .5         Mark Gray mag@climate.gsfc.nasa.gov
;               SM&A - SSG
;               MODIS - Atmosphere Group
;

map_continents,/hires,color=254, mlinethick = 6
if keyword_set(jpeg) then map_grid,/box_axes,color=255,glinethick = 6
if keyword_set(ps) then map_grid,/box_axes,color=255,glinethick = 6
map_grid,/labels,color=254,font=3,glinethick=6

end
