pro ChooseDisplayOptions,datatype,format,notation,channels,projection,sds_name,outfilename
print,datatype
format='0'
sds_name=''

print,'    Output format'
print,' 1. tiff (8 bits/channel)'
print,' 2. postscript'
print,' 3. jpeg'
read,format,prompt='Select output format [2] >'
format=fix(format)
if format eq 0 then format=2
print,''

case 1 of
   format eq 1 : outfilename='.tiff'
   format eq 2 : outfilename='.ps'
   format eq 3 : outfilename='.jpg'
endcase

notation='0'
print,'    Notation Selection'
print,' 1. Notation on'
print,' 2. Notation off'
read,notation,prompt='Print image notation? [1] >'
notation=fix(notation)
if notation eq 0 then notation=1
print,''


if datatype eq 'MAS' or datatype eq 'MODIS' then begin
channels='0'
read,channels,prompt='Enter 3 channels seperated by spaces,[1 4 3] >'
if channels eq '' then channels='1 4 3'
tempchannels=strcompress(channels)
if channels eq 'super' then begin
   channels=intarr(6)
   channels=[1,4,3,7,6,1]
endif else begin
   channels=intarr(3)
   reads,tempchannels,channels
endelse
print,''
endif

if datatype eq 'LEVEL2' then begin
   read,sds_name,prompt='Enter SDS to be plotted >'
   channels=0
endif



projection='0'
print,'    Map projection'
print,' 1. Cylindrical Equidistant'
print,' 2. Orthographic'
print,' 3. Cylindrical Equidistant - Global'
print,' 4. Robnson - Global'
print,' 5. Hammer Aitoff - Global'
print,' 6. polar - ... '
read,projection,prompt='Select map projection [2] >'
projection=fix(projection)
if projection eq 0 then projection=2
end
