pro SetInputDefaults,LocalDir,IngestDir,ArchiveDir,FileCreateFail

; creates a new default directory file from the current dir's defined
; and passed in via the Dir arguments.  FileCreateFail reports on the
; success or failure of this attempt

openw,lun,'.currentinputdefaults',error=errortest,/get_lun  

if errortest eq 0 then begin
  printf,lun,LocalDir
  printf,lun,IngestDir
  printf,lun,ArchiveDir
  printf,lun,';dirs listed here are Local default, Ingest default and Archive default directories'
  printf,lun,';repectively where viewl1bimagery will look for files.'
  printf,lun,';Feel free to manually edit this if you wish to, the l1b viewer will use these the'
  printf,lun,';next time you execute it'
  FileCreateFail=0
  close,lun
endif 

if errortest ne 0 then begin
  print,!ERROR_STATE.MSG
  print,'Error number is ',errortest
  print,'You have some unexpected problem. The message above
  print,'might help'
  print,'Default file update aborted'
  FileCreateFail=1
endif
end
